Support » Plugin: BP Extended Settings » [Plugin: BP Extended Settings] Translations not working

  • Hi there!
    Overall a nice plugin!

    However, I have issues with your implementation of internationalization.
    Your loading call “load_plugin_textdomain” is all correct, but the textdomain you’re loading then is nowhere to be found within the strings of your plugin.

    Most of your text strings have no gettext syntax yet and the few that have it already have a wrong textdomain (like “bpes”) or none yet.

    Please unify all existing textdomains to the one you’re loading and add gettext syntax for each and every string no matter if frontend or backend usage.

    Then in the end your plugin is a jewel for every international BP admin! :-))

    THANKS A LOT!
    -Dave from Germany 🙂

    http://wordpress.org/extend/plugins/buddypress-extended-settings/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author modemlooper

    (@modemlooper)

    fixing…..

    Plugin Author modemlooper

    (@modemlooper)

    closed

    Hi there!

    I am sorry to say but the strings are still not internationalized! A few exeptions yes, but most are not.

    File: /includes/admin.php

    This one is correct, line 76:

    <p><strong><?php _e('settings saved.', 'bpes' ); ?></strong></p>

    But many strings are still wrong like so, just an example from line 86:

    <a href="<?php $admin_url ?>admin.php?page=bp-components" class="nav-tab">Components</a>

    has to be changed to:

    <a href="<?php $admin_url ?>admin.php?page=bp-components" class="nav-tab"><?php _e( 'Components', 'bpes' ); ?></a>

    For example line 7 needs to be changed to:

    add_submenu_page( 'bp-general-settings', __( 'Extended Settings', 'bpes' ), __( 'Extended Settings', 'bpes' ), 'manage_options', 'bp-extended-settings', 'bpes_plugin_options');

    And some other strings have a bit Gettext syntax but no textdomain, for example line 64 is:

    wp_die( __('You do not have sufficient permissions to access this page.') );

    has to be changed to:

    wp_die( __( 'You do not have sufficient permissions to access this page.', 'bpes' ) );

    Please fix this! Thanks!!
    -Dave 🙂

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: BP Extended Settings] Translations not working’ is closed to new replies.